<?php
include "ver_sessao.php";
include "conecta.php";


function exclui_plano(){
	
	remover('convenio',$_POST[id]);
	index();
	exit;
	
}

function modifica_plano(){
	
	global $a_mod;
	$a_mod = carregar('convenio',$_POST[id]);
	
	layout_plano();
	
}

function cadastra_plano(){

	
	$campos = array(conv_tx_nome,conv_tx_status,conv_tx_porcentagem);
	$valores= array($_POST[nome],ativo,valor($_POST[porcentagem]));
	
	if( !$_POST[id] ){
		
		$id_enti=ultimo_reg('entidade');
		inserir('convenio',$campos,$valores,1);
	}else{
		atualizar('convenio',$campos,$valores,$_POST[id]);
	}
		
	index();
	exit;
	
}


function layout_plano(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Convênios',2);
	
	//CAMPOS
	$nome = cactux::campo('Convênio:','nome',$a_mod[conv_tx_nome],8);
	$porcentagem = cactux::campo('Porcentagem(%):','porcentagem',mostra_valor($a_mod[conv_tx_porcentagem]),2,MASCARA_VALOR);
	
	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_plano','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações do Convênio');
	cactux::linha_fieldset($nome,$porcentagem);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('CADASTRO DE CONVÊNIOS',2);



	if($_POST[busca_cod]!='')
		$extra .= " AND conv_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_plano]!='')
		$extra .= " AND conv_tx_nome LIKE '%$_POST[busca_plano]%'";

	
	$sql = selecionar('convenio','conv_tx_status',"!inativo"," $extra ORDER BY conv_tx_nome");
	
	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_plano'],5);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$cabecalho[] = array('COD','NOME');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,';
	$cabecalho[] = '98%';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[conv_nb_id],$a[conv_tx_nome]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}


function index(){

	// $sql_plan=selecionar('convenio','conv_tx_status','ativo',"");
	// while($a=carrega_array($sql_plan)){

	// 	$campos2=array('enti_tx_nome','enti_tx_tipo','enti_tx_status');
	// 	$valores2=array($a[conv_tx_nome],'Plano de Saúde','ativo');
	// 	inserir('entidade',$campos2,$valores2,1);
	// 	$id_enti=ultimo_reg('entidade');
	// 	atualizar('convenio','conv_nb_entidade',$id_enti,$a[conv_nb_id]);

	

	// }
	
	// exit;

	if($_POST[busca_cod]!='')
		$extra .= " AND conv_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_plano]!='')
		$extra .= " AND conv_tx_nome LIKE '%$_POST[busca_plano]%'";

	
	$sql = selecionar('convenio','conv_tx_status',"!inativo"," $extra ORDER BY conv_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Convênios',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_plano',$_POST[busca_plano],8);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_plano');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$valores[] = array($a[conv_nb_id],$a[conv_tx_nome],".icone_modificar($a[0],modifica_plano)",
				".icone_excluir($a[0],exclui_plano)");
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>